Package org.apache.lucene.index

# Class ExitableDirectoryReader.ExitingReaderException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.lucene.index.ExitableDirectoryReader.ExitingReaderException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ExitableDirectoryReader`

public static class ExitableDirectoryReader.ExitingReaderException extends RuntimeException
Exception that is thrown to prematurely terminate a term enumeration.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExitingReaderException(String msg)`
  Constructor *

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExitingReaderException

    public ExitingReaderException(String msg)
    Constructor *